%global srcname alpa-conf


Name:           python-%{srcname}
Version:        0.4.1
Release:        1.20230407222725040687.main.0.g561a332%{?dist}
Summary:        Wrapper around configuration files for packit and alpa

License:        GPLv3
URL:            https://github.com/alpa-team/%{srcname}
Source0:        alpa-conf-0.4.1.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-pyyaml


%description
%{summary}


%package -n     python3-%{srcname}
Summary:        %{summary}


%description -n python3-%{srcname}
%{summary}


%prep
%autosetup -p1 -n alpa-conf-0.4.1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files alpa_conf


%check
%pyproject_check_import


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Fri Apr 7 2023 Packit <hello@packit.dev> - 0.4.1-1.20230407222725040687.main.0.g561a332
- Development snapshot (561a3322)

* Fri Mar 24 2023 Jiri Kyjovsky <j1.kyjovsky@gmail.com> - 0.1.0-1
- Initial package
